Get Pending Configuration Modifications

get

/rest/{versionId}/configuration/device-configs/{deviceId}/configuration-changes

Use this (GET) method to retrieve all configuration modifications in the OSDMC database that the user made on a targeted device. All users are assigned their own configuration modification staging area to allow concurrent users to make modifications to their respective staging area so that they do not interfere with each other. No configuration modification is pushed to a device until the appropriate push action method is invoked. If this action completes successfully, the staging area is cleared and is ready for the next provisioning session. If a call made using this method after a successful push action, an empty set is returned because all modifications were applied to the device.

Request

Path Parameters
Back to Top

Response

200 Response

Retrieved pending configuration modifications on a targeted device successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user doesn't have required permission

404 Response

The resource object of your input request cannot be found.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get Pending Configuration Modifications.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/configuration-changes"

The following example shows how to use Python to get Pending Configuration Modifications.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/configuration-changes"
resp = requests.get(url, headers=headers)

Note:

Use the Get a List of Devices Associated with Config Manager API to find the deviceId parameter.

Example of the Response Body

The following example shows the contents of the response body.

{
  "changedConfigElements": [
    {
      "name": "test_realm#SIP#ALL#0#0#192.0.2.10#0#0#0#192.0.2.10#0",
      "operation": "created",
      "timestamp": "2026-01-19 04:16:48",
      "type": "accessControl",
      "user": "admin"
    },
    {
      "name": "realm10",
      "operation": "created",
      "timestamp": "2026-01-19 04:17:53",
      "type": "realmConfig",
      "user": "admin"
    }
  ]
}
Back to Top